Bug 507471 - moin.fcg not marked as %config(noreplace)
moin.fcg not marked as %config(noreplace)
Product: Fedora
Classification: Fedora
Component: moin (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville-Pekka Vainio
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-22 17:40 EDT by Bernie Innocenti
Modified: 2009-07-06 02:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-05 08:04:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed patch (1.58 KB, patch)
2009-06-22 17:40 EDT, Bernie Innocenti
no flags Details | Diff

  None (edit)
Description Bernie Innocenti 2009-06-22 17:40:32 EDT
Created attachment 349002 [details]
proposed patch

Installing MoinMoin as an fcgi involves editing the file /moin/server/moin.fcg, therefore it should be moved to /etc and marked as %config(noreplace).

I'm attaching a patch to do this for the F-10 branch.  It's been tested in production, and hopefully it applies on -devel too.
Comment 1 Ville-Pekka Vainio 2009-07-05 08:04:13 EDT
Thanks for the patch, but I disagree. moin.fcg, such as moin.wsgi and moin.cgi, are files which you should copy to a "configuration" directory yourself and then point your Apache to this directory. For example copy moin.fcg to somewhere like /var/www/mywiki/config and then do FastCgiServer /var/www/mywiki/config/moin.fcg in your Apache config. More information is in http://moinmo.in/HelpOnInstalling/FastCgi . I just took a look at the Debian packages, they don't mark moin.fcg as a config file either. Doing that would not allow running several different wiki instances from the same moin package.

The README-rpm file on F10 is outdated, there is a newer one for F11 which can be seen here: 

If there ever is a new update to the moin package in F10, I might update the README a bit. However, I'm not sure if I'll add any fcgi instructions since mod_wsgi is now the recommended way of running moin and it's available on Fedora.
Comment 2 Bernie Innocenti 2009-07-06 02:25:47 EDT
After reading your explanation, I agree with you.  Patch withdrawn.

Note You need to log in before you can comment on or make changes to this bug.